Bug 810152 - core: detected cyclic loop formation
core: detected cyclic loop formation
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vinayaga Raman
Sachidananda Urs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 05:47 EDT by Sachidananda Urs
Modified: 2014-03-30 21:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:14:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cyclic loop (99.15 KB, text/x-log)
2012-04-05 05:47 EDT, Sachidananda Urs
no flags Details

  None (edit)
Description Sachidananda Urs 2012-04-05 05:47:36 EDT
Created attachment 575345 [details]
Cyclic loop

While running some rename tests on Mac OS X nfs client. rename fails with critical logs saying:

"[2012-04-04 16:42:30.350298] C [inode.c:227:__is_dentry_cyclic] 0-/scratch/inode: detected cyclic loop formation during inode linkage. inode (f444c9d8-a628-4300-8354-c3b32e169f7c) linking under itself as .."


[2012-04-04 16:42:30.095275] E [marker.c:2069:marker_setattr_cbk] 0-nfs-multi-client-marker: Operation not permitted occurred during setattr of <nul>
[2012-04-04 16:42:30.095365] I [server3_1-fops.c:1731:server_setattr_cbk] 0-nfs-multi-client-server: 244050: SETATTR /fstest_16a3ab88dded9d46969f15d8f6975c69/fstest_3e739d5cd2b1cc1dc1ff43d0b7936144/fstest_dfff3af553478c613b66797b442b9736 (5e254c0f-0fb7-4a51-9d37-f9463f876ffd) ==> -1 (Operation not permitted)
[2012-04-04 16:42:30.129271] E [marker.c:2069:marker_setattr_cbk] 0-nfs-multi-client-marker: Operation not permitted occurred during setattr of <nul>
[2012-04-04 16:42:30.129307] I [server3_1-fops.c:1731:server_setattr_cbk] 0-nfs-multi-client-server: 244068: SETATTR /fstest_16a3ab88dded9d46969f15d8f6975c69/fstest_3e739d5cd2b1cc1dc1ff43d0b7936144/fstest_dfff3af553478c613b66797b442b9736 (6cf11bc9-b904-40a6-b966-11c13608fdb0) ==> -1 (Operation not permitted)
[2012-04-04 16:42:30.181413] I [server3_1-fops.c:479:server_rmdir_cbk] 0-nfs-multi-client-server: 244095: RMDIR /fstest_16a3ab88dded9d46969f15d8f6975c69/fstest_3e739d5cd2b1cc1dc1ff43d0b7936144/fstest_dfff3af553478c613b66797b442b9736 (4fd467aa-e698-4472-b318-1e18e13bf2c6) ==> -1 (Permission denied)
[2012-04-04 16:42:30.350233] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-multi-client-server: per dentry fn returned 1
[2012-04-04 16:42:30.350298] C [inode.c:227:__is_dentry_cyclic] 0-/scratch/inode: detected cyclic loop formation during inode linkage. inode (f444c9d8-a628-4300-8354-c3b32e169f7c) linking under itself as ..
[2012-04-04 16:42:30.350460] W [inode.c:874:inode_lookup] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/features/marker.so(marker_lookup_cbk+0xfc) [0x2aaaab7416ec] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/debug/io-stats.so(io_stats_lookup_cbk+0xfe) [0x2aaaab95ea1e] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/protocol/server.so(server_lookup_cbk+0x959) [0x2aaaabb908b9]))) 0-nfs-multi-client-server: inode not found
[2012-04-04 16:42:30.351084] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-multi-client-server: per dentry fn returned 1
[2012-04-04 16:42:30.351108] C [inode.c:227:__is_dentry_cyclic] 0-/scratch/inode: detected cyclic loop formation during inode linkage. inode (f444c9d8-a628-4300-8354-c3b32e169f7c) linking under itself as ..
[2012-04-04 16:42:30.351156] W [inode.c:874:inode_lookup] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/features/marker.so(marker_lookup_cbk+0xfc) [0x2aaaab7416ec] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/debug/io-stats.so(io_stats_lookup_cbk+0xfe) [0x2aaaab95ea1e] (-->/opt/glusterfs/3.3.0qa33/lib/glusterfs/3.3.0qa33/xlator/protocol/server.so(server_lookup_cbk+0x959) [0x2aaaabb908b9]))) 0-nfs-multi-client-server: inode not found
Comment 1 Amar Tumballi 2012-04-12 02:12:11 EDT
mostly same fix as that of bug 810828
Comment 2 Krishna Srinivas 2012-05-17 06:13:18 EDT
should be fixed by the fix to 810828. Keeping the bug open till QA verifies. Removing target milestone.
Comment 3 Krishna Srinivas 2012-08-01 02:34:34 EDT
Moving it to ON_QA, please verify.
Comment 4 Sachidananda Urs 2012-11-05 00:50:55 EST
No MacOS X machine around. Will try to get one to test this out.
Comment 6 Sachidananda Urs 2013-03-01 23:59:18 EST
Moving the bug to MODIFIED, no MAC machines yet. (Low priority as of now).

Note You need to log in before you can comment on or make changes to this bug.